namespace AGSS.Models.DTOs;


public class MenuInitialRequest
{
    public string Path { get; set; } = string.Empty;
    public string Label { get; set; } = string.Empty;
    public string? MenuName { get; set; }
    public string Icon { get; set; } = string.Empty;
    public string? MenuCode { get; set; }
    public string Adaptability { get; set; } = "pc";
    public string Component { get; set; } = string.Empty;
    public int Sort { get; set; }
    public string Status { get; set; } = "1";
    public string? Query { get; set; }
}

public class MenuRequest
{
    public string? ParentId { get; set; }
    public string Path { get; set; } = string.Empty;
    public string Label { get; set; } = string.Empty;
    public string? MenuName { get; set; }
    public string Icon { get; set; } = string.Empty;
    public string? MenuCode { get; set; }
    public string Adaptability { get; set; } = "pc";
    public string Component { get; set; } = string.Empty;
    public int Sort { get; set; }
    public string Status { get; set; } = "1";
    public string? Query { get; set; }
}

public class MenuUpdateRequest : MenuInitialRequest
{
    public string Uuid { get; set; } = string.Empty;
}

public class MenuUpdateRequestSon : MenuRequest
{
    public string Uuid { get; set; } = string.Empty;
}
public class MenuResponse
{
    public string Uuid { get; set; } = string.Empty;
    public string? ParentId { get; set; }
    public string Path { get; set; } = string.Empty;
    public string Label { get; set; } = string.Empty;
    public string? MenuName { get; set; }
    public string Icon { get; set; } = string.Empty;
    public string? MenuCode { get; set; }
    public string Adaptability { get; set; } = string.Empty;
    public string Component { get; set; } = string.Empty;
    public int Sort { get; set; }
    public string Status { get; set; } = string.Empty;
    public string? Query { get; set; }
    public DateTime CreateTime { get; set; }
    public DateTime? UpdateTime { get; set; }
    public List<MenuResponse> Children { get; set; } = new();
}

public class DeleteMenuRequest
{
    public string Uuid { get; set; } = string.Empty;
} 